<id>
IE 7 "copy to clipboard" patch for YaBB 2.1
</id>

<version>
1.0
</version>

<mod info>
This patch will fix the problem with the annoying "copy to clipboard" pop-up when posting in IE 7

Apply this mod.

Upload (in ASCII mode):
cgi-bin/yabb2/Languages/English/Post.lng
cgi-bin/yabb2/Sources/InstantMessage.pl
cgi-bin/yabb2/Sources/Post.pl
cgi-bin/yabb2/Sources/ModifyMessage.pl

</mod info>

<author>
Carsten
</author>


<edit file>
Languages/English/Post.lng
</edit file>

<search for>
'806' => "You do not have permission to post attachments in this board",
</search for>

<add after>
'iecopytext' => "Enable auto-copy Message",
'iecopycheck' => "Check this if you want the message auto-copied to your clipboard before Post or Preview.",
</add after>


<edit file>
Sources/InstantMessage.pl
</edit file>

<search for>
	$submittxt   = "$inmes_txt{'148'}";
</search for>

<add before>
	if ($ENV{'HTTP_USER_AGENT'} =~ /(MSIE) (\d)/) {
		if($2 >= 7.0) { $iecopycheck = ""; } else { $iecopycheck = qq~checked="checked"~; }
	}
</add before>


<edit file>
Sources/Post.pl
</edit file>

<search for>
	$submittxt   = "$post_txt{'105'}";
</search for>

<add before>
	if ($ENV{'HTTP_USER_AGENT'} =~ /(MSIE) (\d)/) {
		if($2 >= 7.0) { $iecopycheck = ""; } else { $iecopycheck = qq~checked="checked"~; }
	}
</add before>

<search for>
if (navigator.appName == "Microsoft Internet Explorer") { theForm.message.createTextRange().execCommand("Copy"); }
</search for>

<replace>
if (navigator.appName == "Microsoft Internet Explorer" && document.getElementById('iecopy').checked == true) { theForm.message.createTextRange().execCommand("Copy"); }
</replace>

<search for>
      <tr>
        <td class="windowbg" width="23%"><b>$post_txt{'276'}:</b><br /><br /></td>
        <td class="windowbg" width="77%"><input type="checkbox" name="ns" value="NS"$nscheck /> <span class="small"> $post_txt{'277'}</span><br /><br /></td>
      </tr>
</search for>

<add after>
      <tr>
        <td class="windowbg" width="23%">
		<div id="enable_iecopytext" style="display: none;">
		<b>$post_txt{'iecopytext'}:</b><br /><br />
		</div>
	</td>
        <td class="windowbg" width="77%">
		<div id="enable_iecopy" style="display: none;">
		<input type="checkbox" name="iecopy" id="iecopy"$iecopycheck /> <span class="small"> $post_txt{'iecopycheck'}</span><br /><br />
		</div>
	</td>
      </tr>
</add after>

<search for>
document.postmodify.$settofield.focus();
</search for>

<add after>
if (navigator.appName == "Microsoft Internet Explorer") {
	document.getElementById('enable_iecopytext').style.display = 'inline';
	document.getElementById('enable_iecopy').style.display = 'inline';
}
</add after>

<search for>
	if ($FORM{'ns'}     eq 'NS') { $nscheck = qq~ checked="checked"~; }
</search for>

<add after>
	if ($FORM{'iecopy'}) { $iecopycheck = qq~ checked="checked"~; }
</add after>


<edit file>
Sources/ModifyMessage.pl
</edit file>

<search for>
	$submittxt   = "$post_txt{'10'}";
</search for>

<add before>
	if ($ENV{'HTTP_USER_AGENT'} =~ /(MSIE) (\d)/) {
		if($2 >= 7.0) { $iecopycheck = ""; } else { $iecopycheck = qq~checked="checked"~; }
	}
</add before>
